Bug 1926730 - Large number of tcp connections with shiftstack ocp cluster in about 24 hours
Summary: Large number of tcp connections with shiftstack ocp cluster in about 24 hours
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.5.z
Assignee: Yossi Boaron
QA Contact: Eldar Weiss
URL:
Whiteboard:
Depends On: 1926732
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-09 11:04 UTC by Lucas López Montero
Modified: 2021-03-03 04:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1915080
Environment:
Last Closed: 2021-03-03 04:41:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift baremetal-runtimecfg pull 122 0 None closed [release-4.5] Bug 1926730: add CloseIdleConnections for HTTP K8S API healthcheck 2021-02-17 11:38:03 UTC
Red Hat Product Errata RHSA-2021:0428 0 None None None 2021-03-03 04:41:06 UTC

Comment 2 Eldar Weiss 2021-02-14 09:22:53 UTC
verified in
[root@titan52 ~]# oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.5.0-0.nightly-2021-02-13-112138   True        False         30m     Cluster version is 4.5.0-0.nightly-2021-02-13-112138


 Id   Name                State
-----------------------------------
 18   provisionhost-0-0   running
 26   master-0-0          running
 27   master-0-1          running
 28   master-0-2          running
 33   worker-0-1          running
 34   worker-0-0          running



[core@master-0-0 ~]$ echo `uptime` > net.log
[core@master-0-0 ~]$ for i in {1..10}; do echo `date` >> net.log; netstat -s | grep "connections established" >> net.log; sleep 60; done
[core@master-0-0 ~]$ cat net.log
09:10:15 up 55 min, 1 user, load average: 1.66, 1.39, 1.32
Sun Feb 14 09:10:26 UTC 2021
    1413 connections established
Sun Feb 14 09:11:26 UTC 2021
    1422 connections established
Sun Feb 14 09:12:26 UTC 2021
    1420 connections established
Sun Feb 14 09:13:26 UTC 2021
    1410 connections established
Sun Feb 14 09:14:26 UTC 2021
    1454 connections established
Sun Feb 14 09:15:26 UTC 2021
    469 connections established
Sun Feb 14 09:16:26 UTC 2021
    469 connections established
Sun Feb 14 09:17:26 UTC 2021
    940 connections established
Sun Feb 14 09:18:26 UTC 2021
    951 connections established
Sun Feb 14 09:19:26 UTC 2021
    1013 connections established

Comment 5 errata-xmlrpc 2021-03-03 04:41:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.5.33 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0428


Note You need to log in before you can comment on or make changes to this bug.